//package com.theitbulls.contentproviderex.db;
//
//import android.content.Context;
//import android.database.Cursor;
//import android.database.SQLException;
//import android.database.sqlite.SQLiteDatabase;
//import android.database.sqlite.SQLiteOpenHelper;
//import android.util.Log;
//
//import com.theitbulls.contentproviderex.room.Employee;
//import com.theitbulls.contentproviderex.room.EmployeeDAO;
//
//public class EmployeeDbWithoutRoom extends SQLiteOpenHelper {
//    private static final int DATABASE_VERSION = 1;
//    private static final String DATABASE_NAME = "empDb";
//
//
//    protected final Context mContext;
//
//    public EmployeeDbWithoutRoom(Context context) {
//        super(context, DATABASE_NAME, null, DATABASE_VERSION);
//        this.mContext = context;
//    }
//
//    @Override
//    public void onCreate(SQLiteDatabase db) {
//        String queryForUser = "CREATE TABLE " + EmployeeDAO.TABLE_NAME + "(" + //
//                Employee.ID + " INTEGER PRIMARY KEY AUTOINCREMENT, " + //
//                Employee.EMP_ID + " VARCHAR(80) NOT NULL, " + //
//                Employee.NAME + " VARCHAR(180) NOT NULL, " + //
//                Employee.SALARY + " REAL NOT NULL, " + //
//                Employee.TYPE + " TINYINT DEFAULT 0)";
//
//        try {
//            db.execSQL(queryForUser);
//            Log.e("SqLite:", "Table created successfully.");
//        } catch (SQLException e) {
//            Log.e("SqLiteError:", e.toString());
//        } finally {
//            closeDb(db);
//        }
//    }
//
//    @Override
//    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
//        // TODO add or modify accordingly here
//
//        // Drop older table if existed
//        db.execSQL("DROP TABLE IF EXISTS " + EmployeeDAO.TABLE_NAME);
//        // Create tables again
//        onCreate(db);
//    }
//
//    protected void closeCursor(Cursor cursor) {
//        try {
//            if (cursor != null) {
//                cursor.close();
//            }
//        } catch (Exception e) {
//            Log.e("SqLiteError: ", e.toString());
//        }
//    }
//
//    protected void closeDb(SQLiteDatabase db) {
//        try {
//            if (db != null) {
//                close();
//                db.close();
//            }
//        } catch (Exception e) {
//            Log.e("SqLiteError: ", e.toString());
//        }
//    }
//}
