package com.theitbulls.contentproviderex.room;

import android.content.Context;

import androidx.room.Database;
import androidx.room.Room;
import androidx.room.RoomDatabase;

@Database(entities = {Employee.class}, version = 2, exportSchema = false)
public abstract class AppDatabase extends RoomDatabase {
    public static final String DB_NAME = "emp_db";

    public abstract EmployeeDAO dao();

    public static synchronized AppDatabase getInstance(Context mContext) {
        return Room.databaseBuilder(mContext, AppDatabase.class, AppDatabase.DB_NAME).build();
    }
}
